Subject: Re: bug#74614: Problem of finding the project root when working on submodules of a submodule

From: Dmitry Gutov <[email-masked]>
Date: Mon, 2 Dec 2024 04:14:02 +0200

Hi!

On 30/11/2024 04:35, Chu Maeda wrote:
> Assume that there's a git repository A. A has a submodule B. B has a 
> submodule C.
> 
> When I'm working on C, the current implementation won't choose A as the 
> project root even though the project-vc-merge-submodules is non-nil.
> 
> I can customize project-find-functions to find the right project root as 
> a workaround, but I think this might be a bug need to be fixed.

Could you post a sequence of commands one can/should use to recreate 
such a project?